#
# spec file for package xwayland
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define have_wayland_eglstream 1

#Compat macro for new _fillupdir macro introduced in Nov 2017
%if ! %{defined _fillupdir}
  %define _fillupdir /var/adm/fillup-templates
%endif

Name:           xwayland
Version:        22.1.5
Release:        150500.7.22.1
URL:            http://xorg.freedesktop.org/
Summary:        X
License:        MIT
Group:          System/X11/Servers/XF86_4
Source0:        %{url}/archive/individual/xserver/%{name}-%{version}.tar.xz
Source1:        %{url}/archive/individual/xserver/%{name}-%{version}.tar.xz.sig
Source2:        xwayland.keyring
Patch1205874:   U_0001-Xtest-disallow-GenericEvents-in-XTestSwapFakeInput.patch
Patch1205875:   U_0002-Xi-return-an-error-from-XI-property-changes-if-verif.patch
Patch1205876:   U_0003-Xi-avoid-integer-truncation-in-length-check-of-ProcX.patch
Patch1205877:   U_0004-Xi-disallow-passive-grabs-with-a-detail-255.patch
Patch1205878:   U_0005-Xext-free-the-screen-saver-resource-when-replacing-i.patch
Patch1205879:   U_0006-Xext-free-the-XvRTVideoNotify-when-turning-off-from-.patch
Patch1206017:   U_0007-xkb-reset-the-radio_groups-pointer-to-NULL-after-fre.patch
Patch1207783:   U_Xi-fix-potential-use-after-free-in-DeepCopyPointerCl.patch
Patch1207800:   U_Xext-fix-invalid-event-type-mask-in-XTestSwapFakeInp.patch
Patch1209543:   U_xserver-composite-Fix-use-after-free-of-the-COW.patch
Patch1216135:   U_bsc1216135-Xi-randr-fix-handling-of-PropModeAppend-Prepend.patch
Patch1216261:   U_bsc1216261-0001-mi-fix-CloseScreen-initialization-order.patch
Patch1216262:   U_bsc1216261-0002-fb-properly-wrap-unwrap-CloseScreen.patch
Patch1216263:   U_bsc1216261-0003-dix-always-initialize-pScreen-CloseScreen.patch
Patch1217765:   U_bsc1217765-Xi-allocate-enough-XkbActions-for-our-buttons.patch
Patch1217766:   U_bsc1217766-randr-avoid-integer-truncation-in-length-check-of-Pr.patch
Patch1218582:   bsc1218582-0001-dix-allocate-enough-space-for-logical-button-maps.patch
Patch1218583:   bsc1218583-0001-dix-Allocate-sufficient-xEvents-for-our-DeviceStateN.patch
Patch1218584:   bsc1218583-0002-dix-fix-DeviceStateNotify-event-calculation.patch
Patch1218585:   bsc1218583-0003-Xi-when-creating-a-new-ButtonClass-set-the-number-of.patch
Patch1218586:   bsc1218584-0001-Xi-flush-hierarchy-events-after-adding-removing-mast.patch
Patch1218587:   bsc1218585-0001-Xi-do-not-keep-linked-list-pointer-during-recursion.patch
Patch1218588:   bsc1218585-0002-dix-when-disabling-a-master-float-disabled-slaved-de.patch
Patch1218845:   U_bsc1218845-glx-Call-XACE-hooks-on-the-GLX-buffer.patch
Patch1218846:   U_bsc1218846-ephyr-xwayland-Use-the-proper-private-key-for-cursor.patch
Patch1222309:   U_CVE-2024-31080-Xi-ProcXIGetSelectedEvents-needs-to-use-unswapped-le.patch
Patch1222310:   U_CVE-2024-31081-Xi-ProcXIPassiveGrabDevice-needs-to-use-unswapped-le.patch
Patch1222312:   U_CVE-2024-31083-render-fix-refcounting-of-glyphs-during-ProcRenderAd.patch
Patch1222442:   U_render-Avoid-possible-double-free-in-ProcRenderAddGl.patch
BuildRequires:  meson
BuildRequires:  ninja
BuildRequires:  pkgconfig
BuildRequires:  rendercheck
BuildRequires:  pkgconfig(bigreqsproto)
BuildRequires:  pkgconfig(compositeproto)
BuildRequires:  pkgconfig(damageproto)
BuildRequires:  pkgconfig(dri)
BuildRequires:  pkgconfig(dri3proto)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(fixesproto)
BuildRequires:  pkgconfig(fontsproto)
BuildRequires:  pkgconfig(fontutil)
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glproto)
BuildRequires:  pkgconfig(inputproto) >= 2.3.99.1
BuildRequires:  pkgconfig(kbproto)
BuildRequires:  pkgconfig(libbsd)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libtirpc)
BuildRequires:  pkgconfig(libxcvt)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(presentproto)
BuildRequires:  pkgconfig(randrproto)
BuildRequires:  pkgconfig(recordproto)
BuildRequires:  pkgconfig(renderproto)
BuildRequires:  pkgconfig(resourceproto)
BuildRequires:  pkgconfig(scrnsaverproto)
BuildRequires:  pkgconfig(videoproto)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)
%if 0%{?have_wayland_eglstream} == 1
BuildRequires:  pkgconfig(wayland-eglstream-protocols)
%endif
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-damage)
BuildRequires:  pkgconfig(xcb-sync)
BuildRequires:  pkgconfig(xcb-xinput)
BuildRequires:  pkgconfig(xcmiscproto)
BuildRequires:  pkgconfig(xdmcp)
BuildRequires:  pkgconfig(xextproto)
BuildRequires:  pkgconfig(xf86bigfontproto)
BuildRequires:  pkgconfig(xf86vidmodeproto)
BuildRequires:  pkgconfig(xfont2)
BuildRequires:  pkgconfig(xineramaproto)
BuildRequires:  pkgconfig(xkbcomp)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xproto)
BuildRequires:  pkgconfig(xshmfence)
BuildRequires:  pkgconfig(xtrans)

%ifnarch s390 s390x
Requires(pre):  %fillup_prereq
%endif
Requires:       pkgconfig
Requires:       xkbcomp
#Recommends:     xorg-x11-fonts-core
%ifnarch s390 s390x
Requires:       libpixman-1-0
%endif
Obsoletes:      xorg-x11-server-wayland < %{version}
Provides:       xorg-x11-server-wayland = %{version}

%description
This package contains the Xwayland Server.

%package %{name}
Summary:        Xwayland Xserver
Group:          System/X11/Servers/XF86_4
Requires:       xkbcomp
Requires:       xkeyboard-config
Recommends:     xorg-x11-fonts-core

%description %{name}
This package contains the Xserver running on the Wayland Display Server.

%package devel
Summary:        Development files for Xwayland
Group:          System/Libraries
Requires:       %{name}
Requires:       c_compiler
Requires:       meson
Requires:       pkgconfig(libdrm)
Requires:       pkgconfig(xau)
Requires:       pkgconfig(xdmcp)
Requires:       pkgconfig(xkbfile)
Requires:       pkgconfig(xtrans)
Requires:       pkgconfig(xv)

%description devel
This package contains the Xwayland Server development files.

%prep
%autosetup -p1

%build
%{meson} \
   -Dglamor=true \
%if 0%{?have_wayland_eglstream} == 1
   -Dxwayland_eglstream=true \
%endif
   -Dxvfb=true \
   -Dglx=true \
   -Dxdmcp=true \
   -Dxdm-auth-1=true \
   -Dsecure-rpc=true \
   -Dipv6=true \
   -Dinput_thread=true \
   -Dvendor_name="SUSE LINUX" \
   -Dvendor_name_short="openSUSE" \
   -Dvendor_web="https://www.opensuse.org" \
   -Dlisten_tcp=false \
   -Dlisten_unix=true \
   -Dlisten_local=true \
   -Ddpms=true \
   -Dxf86bigfont=true \
   -Dscreensaver=true \
   -Dxres=true \
   -Dxace=true \
   -Dxselinux=false \
   -Dxinerama=true \
   -Dxcsecurity=true \
   -Dxv=true \
   -Dmitshm=true \
   -Dsha1=libcrypto \
   -Ddri3=true \
   -Dxwayland-path="%{_bindir}" \
   -Ddtrace=false \
   -Dlibunwind=false \
   -Dxkb_dir="/usr/share/X11/xkb" \
   -Dxkb_output_dir="/var/lib/xkb/compiled" \
   -Ddefault_font_path="/usr/share/fonts/misc:unscaled,\
/usr/share/fonts/Type1/,/usr/share/fonts/100dpi:unscaled,\
/usr/share/fonts/75dpi:unscaled,/usr/share/fonts/ghostscript/,\
/usr/share/fonts/cyrillic:unscaled,\
/usr/share/fonts/misc/sgi:unscaled,\
/usr/share/fonts/truetype/,built-ins" \
   %{nil}

%{meson_build}

%install
%{meson_install}
# Let xorg-x11-server provide the Xserver manual
rm -f %{buildroot}%{_mandir}/man1/Xserver.1
# Provided by xorg-x11-server
rm -f %{buildroot}%{_libdir}/xorg/protocol.txt

%files
%{_bindir}/Xwayland
%{_mandir}/man1/Xwayland.1%{ext_man}

%files devel
%{_libdir}/pkgconfig/*.pc
%dir %{_libdir}/xorg

%changelog
* Wed Apr 10 2024 sndirsch@suse.com
- U_render-Avoid-possible-double-free-in-ProcRenderAddGl.patch
  * fixes regression for security fix for CVE-2024-31083 (bsc#1222312,
    boo#1222442, gitlab xserver issue #1659)
* Thu Apr  4 2024 sndirsch@suse.com
- U_CVE-2024-31080-Xi-ProcXIGetSelectedEvents-needs-to-use-unswapped-le.patch
  * Xi: ProcXIGetSelectedEvents needs to use unswapped length
    (CVE-2024-31080, bsc#1222309)
- U_CVE-2024-31081-Xi-ProcXIPassiveGrabDevice-needs-to-use-unswapped-le.patch
  * Xi: ProcXIPassiveGrabDevice needs to use unswapped length to send reply
    (CVE-2024-31081, bsc#1222310)
- U_CVE-2024-31083-render-fix-refcounting-of-glyphs-during-ProcRenderAd.patch
  * render: fix refcounting of glyphs during ProcRenderAddGlyphs
    (CVE-2024-31083, bsc#1222312)
* Wed Jan 17 2024 sndirsch@suse.com
- U_bsc1218845-glx-Call-XACE-hooks-on-the-GLX-buffer.patch
  * SELinux unlabeled GLX PBuffer (CVE-2024-0408, bsc#1218845)
- U_bsc1218846-ephyr-xwayland-Use-the-proper-private-key-for-cursor.patch
  * SELinux context corruption (CVE-2024-0409, bsc#1218846)
* Mon Jan  8 2024 sndirsch@suse.com
- bsc1218582-0001-dix-allocate-enough-space-for-logical-button-maps.patch
  * Heap buffer overflow in DeviceFocusEvent and ProcXIQueryPointer
    (CVE-2023-6816, bsc#1218582)
- bsc1218583-0001-dix-Allocate-sufficient-xEvents-for-our-DeviceStateN.patch
  bsc1218583-0002-dix-fix-DeviceStateNotify-event-calculation.patch
  bsc1218583-0003-Xi-when-creating-a-new-ButtonClass-set-the-number-of.patch
  * Reattaching to different master device may lead to out-of-bounds memory
    access ((CVE-2024-0229, bsc#1218583)
- bsc1218584-0001-Xi-flush-hierarchy-events-after-adding-removing-mast.patch
  * Heap buffer overflow in XISendDeviceHierarchyEvent
    (CVE-2024-21885, bsc#1218584)
- bsc1218585-0001-Xi-do-not-keep-linked-list-pointer-during-recursion.patch
  bsc1218585-0002-dix-when-disabling-a-master-float-disabled-slaved-de.patch
  * Heap buffer overflow in DisableDevice (CVE-2024-21886, bsc#1218585)
* Wed Dec 13 2023 joan.torres@suse.com
- Add missing fixes on U_bsc1217765-Xi-allocate-enough-XkbActions-for-our-buttons.patch
  (bsc#1217765).
* Mon Dec  4 2023 sndirsch@suse.com
- U_bsc1217765-Xi-allocate-enough-XkbActions-for-our-buttons.patch
  * Out-of-bounds memory write in XKB button actions (CVE-2023-6377,
    ZDI-CAN-22412, ZDI-CAN-22413, bsc#1217765)
- U_bsc1217766-randr-avoid-integer-truncation-in-length-check-of-Pr.patch
  * Out-of-bounds memory read in RRChangeOutputProperty and
    RRChangeProviderProperty (CVE-2023-6478, ZDI-CAN-22561,
    bsc#1217766)
* Wed Oct 25 2023 sndirsch@suse.com
- U_bsc1216261-0001-mi-fix-CloseScreen-initialization-order.patch
  U_bsc1216261-0002-fb-properly-wrap-unwrap-CloseScreen.patch
  * Server Damage Object Use-After-Free Local Privilege Escalation
    Vulnerability (CVE-2023-5574, ZDI-CAN-21213, bsc#1216261)
- U_bsc1216261-0003-dix-always-initialize-pScreen-CloseScreen.patch
  * fixes a regresion, which can trigger a segfault in Xwayland on
    exit, introduced by
    U_bsc1216261-0002-fb-properly-wrap-unwrap-CloseScreen.patch
    (CVE-2023-5574, ZDI-CAN-21213, bsc#1216261)
* Fri Oct 13 2023 sndirsch@suse.com
- U_bsc1216135-Xi-randr-fix-handling-of-PropModeAppend-Prepend.patch
  * fix handling of PropModeAppend/Prepend ((CVE-2023-5367, ZDI-CAN-22153,
    bsc#1216135)
* Wed Mar 22 2023 sndirsch@suse.com
- U_xserver-composite-Fix-use-after-free-of-the-COW.patch
  * overlay window use-after-free (CVE-2023-1393, ZDI-CAN-19866,
    bsc#1209543)
* Sun Mar  5 2023 sndirsch@suse.com
- U_Xext-fix-invalid-event-type-mask-in-XTestSwapFakeInp.patch
  * fixes regression introduced with security update for
    CVE-2022-46340 (bsc#1205874)
* Wed Feb  1 2023 sndirsch@suse.com
- U_Xi-fix-potential-use-after-free-in-DeepCopyPointerCl.patch
  * DeepCopyPointerClasses use-after-free (CVE-2023-0494,
    ZDI-CAN-19596, bsc#1207783)
* Tue Dec  6 2022 sndirsch@suse.com
- U_0007-xkb-reset-the-radio_groups-pointer-to-NULL-after-fre.patch
  * XkbGetKbdByName use-after-free (ZDI-CAN-19530, CVE-2022-4283,
    bsc#1206017)
* Wed Nov 30 2022 sndirsch@suse.com
- U_0001-Xtest-disallow-GenericEvents-in-XTestSwapFakeInput.patch
  * Server XTestSwapFakeInput stack overflow (ZDI-CAN 19265,
    CVE-2022-46340, bsc#1205874)
- U_0002-Xi-return-an-error-from-XI-property-changes-if-verif.patch
  * Xi: return an error from XI property changes if verification
    failed (no ZDI-CAN id, no CVE id, bsc#1205875)
- U_0003-Xi-avoid-integer-truncation-in-length-check-of-ProcX.patch
  * Server XIChangeProperty out-of-bounds access (ZDI-CAN 19405,
    CVE-2022-46344, bsc#1205876)
- U_0004-Xi-disallow-passive-grabs-with-a-detail-255.patch
  * Server XIPassiveUngrabDevice out-of-bounds access (ZDI-CAN 19381,
    CVE-2022-46341, bsc#1205877)
- U_0005-Xext-free-the-screen-saver-resource-when-replacing-i.patch
  * Server ScreenSaverSetAttributes use-after-free (ZDI-CAN 19404,
    CVE-2022-46343, bsc#1205878)
- U_0006-Xext-free-the-XvRTVideoNotify-when-turning-off-from-.patch
  * Server XvdiSelectVideoNotify use-after-free (ZDI-CAN 19400,
    CVE-2022-46342, bsc#1205879)
* Wed Nov  2 2022 sndirsch@suse.com
- Update to version 22.1.5
  * This is a follow-up release to address a couple of regressions
    which found their way into the recent xwayland-22.1.4 release,
    namely:
    + Double scroll wheel events with some Wayland compositors
    https://gitlab.freedesktop.org/xorg/xserver/-/issues/1392
    + Key keeps repeating when a window is closed while a key is pressed
    https://gitlab.freedesktop.org/xorg/xserver/-/issues/1395
- supersedes U_Do-not-ignore-leave-events.patch
* Mon Oct 24 2022 sndirsch@suse.com
- U_Do-not-ignore-leave-events.patch
  * fixes xwayland issue#1397, issue#1395
* Thu Oct 20 2022 sndirsch@suse.com
- Update to version 22.1.4
  * xwayland: Aggregate scroll axis events to fix kinetic scrolling
  * Forbid server grabs by non-WM on *rootless* XWayland
  * xkb: Avoid length-check failure on empty strings.
  * ci: remove redundant slash in libxcvt repository url
  * dix: Skip more code in SetRootClip for ROOT_CLIP_INPUT_ONLY
  * dix: Fix overzealous caching of ResourceClientBits()
  * xwayland: Prevent Xserver grabs with rootless
  * xwayland: Delay wl_surface destruction
  * build: Bump wayland requirement to 1.18
  * xwayland: set tag on our surfaces
  * xwayland: Clear the "xwl-window" tag on unrealize
  * xwayland: correct the type for the discrete scroll events
  * xkb: fix some possible memleaks in XkbGetKbdByName
  * xkb: length-check XkbGetKbdByName before accessing the fields
  * xkb: length-check XkbListComponents before accessing the fields
  * xkb: proof GetCountedString against request length attacks
- supersedes security patches:
  * U_xkb-fix-some-possible-memleaks-in-XkbGetKbdByName.patch
  * U_xkb-proof-GetCountedString-against-request-length-at.patch
* Wed Oct 19 2022 sndirsch@suse.com
- U_xkb-proof-GetCountedString-against-request-length-at.patch
  * security update for CVE-2022-3550 (bsc#1204412)
- U_xkb-fix-some-possible-memleaks-in-XkbGetKbdByName.patch
  * security update for CVE-2022-3551 (bsc#1204416)
* Tue Jul 12 2022 sndirsch@suse.com
- Update to version 22.1.3
  * os: print <signal handler called> if unw_is_signal_frame()
  * os: print registers in the libunwind version of xorg_backtrace()
  * xwayland/present: Do not send two idle notify events for flip pixmaps
  * xwayland: Fix check logic in sprite_check_lost_focus()
  * xwayland: Change randr_output status when call xwl_output_remove()
  * xkb: switch to array index loops to moving pointers
  * xkb: swap XkbSetDeviceInfo and XkbSetDeviceInfoCheck
  * xkb: add request length validation for XkbSetGeometry
* Wed May 25 2022 sndirsch@suse.com
- Update to version 22.1.2
  * randr: Add "RANDR Emulation" property
  * xwayland/output: Set the "RANDR Emulation" property
  * xwayland: Fix invalid pointer access in drm_lease_device_handle_released.
* Thu Mar 31 2022 sndirsch@suse.com
- Update to version 22.1.1
  * xwayland: Clear timer_armed in xwl_present_unrealize_window
  * xwayland: Always hook up frame_callback_list in xwl_present_queue_vblank
  * Xwayland: Do not map the COW by default when rootless
  * xwayland/present: Fix use-after-free in xwl_unrealize_window()
* Wed Feb 16 2022 sndirsch@suse.com
- Update to version 22.1.0
  * xwayland: Fix cursor color
* Thu Feb  3 2022 bjorn.lie@gmail.com
- Update to version 22.0.99.902
  * render: Fix build with gcc 12
* Thu Jan 20 2022 bjorn.lie@gmail.com
- Update to version 22.0.99.901
  * DRM lease support
  * Enables sRGB fbconfigs in GLX
  * Requires libxcvt
  * Refactoring of the present code in Xwayland
  * Implements support for touchpad gestures
  * Support for xfixes's ClientDisconnectMode and optional
    terminate delay
- Add pkgconfig(libxcvt) BuildRequires: New dependency.
- Add xwayland.keyring, use url for sources, validate sig.
- Move man pages from devel to main binary package.
- Enable LTO, no longer disable LTO via macro.
* Tue Dec 14 2021 sndirsch@suse.com
- Update to version 21.1.4
  * Fixes for multiple input validation failures in X server extensions:
    + CVE-2021-4008/ZDI-CAN-14192 SProcRenderCompositeGlyphs out-of-bounds access (boo#1193030)
    + CVE-2021-4009/ZDI-CAN 14950 SProcXFixesCreatePointerBarrier out-of-bounds access (boo#1190487)
    + CVE-2021-4010/ZDI-CAN-14951 SProcScreenSaverSuspend out-of-bounds access (boo#1190488)
    + CVE-2021-4011/ZDI-CAN-14952 SwapCreateRegister out-of-bounds access (boo#1190489)
  * This release also includes other fixes such as:
    + Store EGLcontext to avoid superfluous eglMakeCurrent() calls
    + Prefer EGLStream with NVIDIA proprietary driver if both GBM and EGLstream are available
* Mon Nov  8 2021 sndirsch@suse.com
- Update to version 21.1.3
  * Most notable change is a fix for the GBM backend to work with
    the Nvidia driver series 495.
- supersedes U_glamor-Fix-handling-of-1-bit-pixmaps.patch
* Thu Oct  7 2021 joan.torres@suse.com
- Specfile cleanup
* Tue Sep 28 2021 sndirsch@suse.com
- U_glamor-Fix-handling-of-1-bit-pixmaps.patch
  * glamor: Fix handling of 1-bit pixmaps; fixes e.g. issues with
    gimp on Wayland (which needs Xwayland) (boo#1189310)
* Mon Sep 27 2021 sndirsch@suse.com
- covers jira#SLE/SLE-18653
* Thu Jul 15 2021 macie.mckitrick@protonmail.com
- xwayland pc is required for S390x and S390
* Fri Jul  9 2021 sndirsch@suse.com
- Update to version 21.1.2
  * The only change compared to the release candidate is a fix for
    a long standing issue where Xwayland wouldn't send events to
    notify clients of RandR configuration changes in some cases.
* Thu Jul  1 2021 sndirsch@suse.com
- Update to version 21.1.1.901 (21.1.2 RC1)
  * It's a bit special, as most of the changes are not the usual
    stable branch fixes material, but are needed for HW accelerated
    direct rendering with the Nvidia 470 driver (which is currently
    in open beta).
  * changes are mostly specific to the EGLStream backend and do not
    affect the GBM backend. And they make a big difference for users
    of the EGLStream backend.
  * See
    https://lists.fedoraproject.org/archives/list/desktop@lists.fedoraproject.org/thread/BBZVDNST67I2AQOCPSHKYAY6D5Z66JIP/
    for more information about testing the EGLStream changes
- enabled Wayland eglstreams (needs new packages egl-wayland and
  eglexternalplatform)
* Tue Apr 13 2021 sndirsch@suse.com
- Update to version 21.1.1
  * Fix XChangeFeedbackControl() request underflow (CVE-2021-3472,
    ZDI-CAN-1259, bsc#1180128)
* Mon Apr 12 2021 tobias.klausmann@freenet.de
- Additionally to not packing /usr/lib64/xorg/protocol.txt, delete it to fix
  the build
* Mon Apr 12 2021 gmbr3@opensuse.org
- Make vendor name the same as xorg-x11-server
* Mon Apr 12 2021 sndirsch@suse.com
- removed conflicting /usr/lib64/xorg/protocol.txt (already in
  xorg-x11-server package)
* Wed Apr  7 2021 sndirsch@suse.com
- added summary for -devel package
- some cleanup
* Wed Mar 17 2021 tobias.klausmann@freenet.de
- Update to version 21.1.0:
  * meson: Make sure XKM_OUTPUT_DIR has a trailing slash
  * xwayland: Fix LeaveNotify for relative pointer
- Highlights compared to xserver 1.20.10:
  * Xwayland's XVideo support (via glamor) now supports NV12
  * glamor can now accelerate some more RENDER extension formats
  * Xwayland's GLX provider now uses the EGL implementation instead of Mesa's
    swrast_dri.so directly
  * Xwayland can now use the wp_viewport Wayland protocol for up-scaling of
    fullscreen applications setting lower resolutions via the RandR /
    XFree86-VidModeExtension extensions
  * Xwayland now alternates between multiple buffers for all Wayland surfaces,
    making it less of a special case compared to other Wayland clients
  * Xwayland can now use memfd_create for creating buffers shared with the
    Wayland compositor when glamor hardware acceleration is disabled
  * Xwayland has better support for clients using relative mouse input and
    keyboard grabs
  * An Xwayland.1 manpage is now installed
  * Xwayland now supports -listenfd, -version and -verbose command line options
  * Xwayland now installs an xwayland.pc file which helps discovering the path
    of the installed Xwayland binary and the features it supports
  * Only meson is supported for building
  * Only Xwayland and Xvfb can be built, only Xwayland can be installed
* Thu Mar  4 2021 sndirsch@suse.com
- update to 21.0.99.902
  * second release candidate for the standalone Xwayland 21.1.0 release
  * meson.build: Keep the protocol version looking like xserver 1.20.x did
  * xwayland: Delay cursor visibility update
* Fri Feb 26 2021 sndirsch@suse.com
- added Buildrequires to pkgconfig(glproto) and pkgconfig(gl) to
  fix build on Leap
* Fri Feb 19 2021 tobias.klausmann@freenet.de
- Initial stand-alone Xwayland package version 21.0.99.901 (boo#1182677)
